Subject: bug#1269 closed by Chong Yidong <[email-masked]> (Re: bug#1269: Please do not bother Eshell users with the question "Save input history?" when they quit Emacs)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1269: Please do not bother Eshell users with the question "Save input history?" when they quit Emacs

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1269: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1269
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Nov  2 19:03:46 2008
From: Chong Yidong <[email-masked]>
To: John Wiegley <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Subject: Re: bug#1269: Please do not bother Eshell users with the question "Save input history?" when they quit Emacs
Date: Sun, 02 Nov 2008 22:03:51 -0500

John Wiegley <[email-masked]> writes:

> On Nov 1, 2008, at 9:51 PM, Glenn Morris wrote:
>
>>> That sounds entirely reasonable to me.  I'll add it to my list.
>>
>> Doesn't this request just amount to asking for the default value of
>> eshell-save-history-on-exit to be changed from 'ask to t?
>
> I'm pretty sure it does.  Feel free to make the change if you'd like.

I went ahead and did that.

>From [email-masked] Wed Oct 29 12:59:46 2008
Date: Wed, 29 Oct 2008 15:52:46 -0400
From: "Jason Spiro" <[email-masked]>
Sender: [email-masked]
To: [email-masked]
Subject: Please do not bother Eshell users with the question "Save input history?" when they quit Emacs

Thanks for maintaining Eshell.  One thing:  When Eshell is running,
and someone quits Emacs, then Eshell asks them, "Save input history
for Eshell buffer `*eshell*'? (y or n)"  Please change Eshell so that
it does not ask them.  The prompt is somewhat annoying.  Just like
Bash saves the history without asking, so too Eshell should save the
history without asking.

--Jason

In GNU Emacs 22.2.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2008-07-24 on raven, modified by Debian

-- 
Jason Spiro: software/web developer, trainer, IT consultant. I support
Linux, UNIX, Windows, and more. Contact me to discuss your needs.
+1 (416) 992-3445 / [email-masked]